Bug 1434784 - migration: 7.4->7.2 error while loading state for instance 0x0 of device 'apic'
Summary: migration: 7.4->7.2 error while loading state for instance 0x0 of device 'apic'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dr. David Alan Gilbert
QA Contact: huiqingding
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1376765
TreeView+ depends on / blocked
 
Reported: 2017-03-22 11:33 UTC by Dr. David Alan Gilbert
Modified: 2018-01-10 11:23 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 03:39:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Dr. David Alan Gilbert 2017-03-22 11:33:59 UTC
Description of problem:
Migration from a 7.4 (2.9 rebase) to 7.2 fails

/usr/libexec/qemu-kvm -machine pc-i440fx-rhel7.2.0,accel=kvm,usb=off,vmport=off -cpu IvyBridge -m 4096 -no-hpet -drive file=/home/vms/7.3-fromimage.qcow2,format=qcow2,if=none,id=drive-virtio-disk0,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -chardev stdio,mux=on,id=mon -mon chardev=mon,mode=readline --device isa-serial,chardev=mon -net none

Version-Release number of selected component (if applicable):
Destination: qemu-kvm-rhev-2.3.0-31.el7_2.25.x86_64
Source: 2.9.0-0 rebase world

How reproducible:
100%

Steps to Reproduce:
1. command line above
2. migrate towards 7.2
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dr. David Alan Gilbert 2017-03-22 12:00:30 UTC
Caused by new apic subsection apic_irq_delivered in 2.9, added by :

v2.8.0-850-g07bfa35 apic: save apic_delivered flag

Comment 2 Dr. David Alan Gilbert 2017-03-22 13:47:05 UTC
Paolo is reverting that upstream.

Comment 3 xianwang 2017-03-26 04:25:50 UTC
This issue is hit when do migration from rhel7.4 to rhel7.3.z on x86_64. The reproduction is as following:
version:
RHEL7.4 (src host)
3.10.0-623.el7.x86_64
qemu-kvm-rhev-2.9.0-0.el7.mrezanin201703210848.x86_64

RHEL7.3.z(dst host)
3.10.0-514.17.1.el7.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.7.x86_64

steps:
1)Boot a guest in rhel7.4 host:
# /usr/libexec/qemu-kvm -machine pc-i440fx-rhel7.3.0 -monitor stdio
2)Boot a guest in rhel7.3.z host with incoming
# /usr/libexec/qemu-kvm -machine pc-i440fx-rhel7.3.0 -monitor stdio -incoming tcp:0:5801
3)in rhel7.4 host, do migration
(qemu) migrate -d tcp:10.66.10.208:5801

Actual result:
migration failed, check the status of migration:
on rhel7.4(src host)
(qemu) info status 
VM status: running
(qemu) info migrate
Migration status: failed

on rhel7.3.z(dst host)
(qemu) qemu-kvm: error while loading state for instance 0x0 of device 'apic'
qemu-kvm: load of migration failed: No such file or directory

How reproducible:
3/3

Comment 4 Dr. David Alan Gilbert 2017-03-28 15:36:44 UTC
This should be fixed by 5354edd286ea6e956b81da66c9dcc5e47028198e upstream which is Paolo's revert.

Comment 5 huiqingding 2017-04-27 02:04:48 UTC
Reproduce this bug:
7.2.z: 
kernel-3.10.0-327.53.1.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.25.x86_64
7.4:
kernel-3.10.0-650.el7.x86_64
qemu-kvm-rhev-2.9.0-0.el7.mrezanin201703210848.x86_64

Reproduce steps:
1. boot a guest in 7.4 host:
# /usr/libexec/qemu-kvm -machine pc-i440fx-rhel7.2.0,accel=kvm,usb=off,vmport=off -cpu IvyBridge -m 4096 -no-hpet -drive file=/mnt/stable_guest_abi/rhel74-64-virtio.qcow2,format=qcow2,if=none,id=drive-virtio-disk0,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1  -net none -monitor stdio
2. boot the guest in 7.2.z host:
# /usr/libexec/qemu-kvm -machine pc-i440fx-rhel7.2.0,accel=kvm,usb=off,vmport=off -cpu IvyBridge -m 4096 -no-hpet -drive file=/mnt/stable_guest_abi/rhel74-64-virtio.qcow2,format=qcow2,if=none,id=drive-virtio-disk0,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x7,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -chardev stdio,mux=on,id=mon  -net none -monitor stdio -incoming tcp:0:5800
3. do migration
(qemu) migrate -d tcp:10.73.196.143:5800

Result:
Migration is failed and dst qemu quits with:
qemu-kvm: error while loading state for instance 0x0 of device 'apic'
qemu-kvm: load of migration failed: No such file or directory

Verify this bug:
7.2.z: 
kernel-3.10.0-327.53.1.el7.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.25.x86_64
7.4:
kernel-3.10.0-650.el7.x86_64
qemu-kvm-rhev-2.9.0-1.el7.x86_64

Test using the above command line and migration can be finished normally.

Also test 7.4->7.3.z, the result is pass.

Comment 6 huiqingding 2017-04-27 02:05:23 UTC
Based on comment #5, set this bug to be verified.

Comment 8 errata-xmlrpc 2017-08-02 03:39:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.